dapper -> hardy powerpc upgrade fails

Bug #241729 reported by Michael Vogt on 2008-06-20
8
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned
Hardy
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

A upgrade from dapper to hardy fails on powerpc because the upgrader points to "ports.ubuntu.com" for the release upgrader apt/python-apt/dpkg backports. Those files are not available on port.ubuntu.com but only on archive.ubuntu.com

TEST CASE (with powerpc):
1. use a powerpc dapper
2. run "sudo do-release-upgrade -d"
3. watch it fail because it can not fetch the required backports

4. run "sudo do-release-upgrade -d --proposed"
5. watch it work

The patch below fixes this:

=== modified file 'DistUpgrade/DistUpgrade.cfg.dapper'
--- DistUpgrade/DistUpgrade.cfg.dapper 2008-04-29 08:52:48 +0000
+++ DistUpgrade/DistUpgrade.cfg.dapper 2008-06-20 17:33:26 +0000
@@ -43,7 +43,6 @@
 SourcesList=prerequists-sources.dapper.list
 SourcesList-ia64=prerequists-sources.dapper-ports.list
 SourcesList-hppa=prerequists-sources.dapper-ports.list
-SourcesList-powerpc=prerequists-sources.dapper-ports.list
 SourcesList-sparc=prerequists-sources.dapper-ports.list

 [Sources]

Michael Vogt (mvo) on 2008-06-20
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.91.5

---------------
update-manager (1:0.91.5) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - support "old-releases.ubuntu.com" as a valid mirror and
      auto transition from that to the regular archive
      (LP: #235527)
    - add extra paraonoia when adding a missing admin group
      (thanks to LaMont Jones) LP: #241723
  * UpdateManager/ChangelogViewer.py:
    - support "exo-open" (xfce) too (LP: #240473)
  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <email address hidden> Fri, 20 Jun 2008 20:02:50 +0200

Changed in update-manager:
status: New → Fix Released
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in update-manager:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Copied to hardy-updates. It has been verified that the new update-manager can successfully upgrade 7.10 to 8.04 without noticeable regressions. Unfortunately it could not be verified from a third party that this bug is really fixed, but we strongly believe it is. If you still have problems, please report back here. Thank you!

Changed in update-manager:
status: Fix Committed → Fix Released
Luca Dariz (luca-dariz) wrote :

Hello, I haven't understood how to patch the update manager, as I can't find DistUpgrade/DistUpgrade.cfg.dapper
Could someone tell me how to do this?
Thank you.
Luca

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers